package mi.hdm.controllers;

import javafx.fxml.FXML;
import mi.hdm.recipes.RecipeManager;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;

import java.io.IOException;

public class MainPageController extends BaseController {
    private final static Logger log = LogManager.getLogger(MainPageController.class);

    private final RecipeManager recipeManager;

    public MainPageController(RecipeManager recipeManager) {
        this.recipeManager = recipeManager;
    }

    @FXML
    public void changeSceneToHome() throws IOException {
        changeScene(View.MAIN);
    }

    @FXML
    public void changeSceneToShoppingList() throws IOException {
        changeScene(View.SHOPPINGLIST_VIEW);
    }

    @FXML
    public void changeSceneToMealPlan() throws IOException {
        log.error("NOT IMPLEMENTED! Scene meal plan doesn't exist yet!");
    }

    @FXML
    public void addRecipe() {
        log.info("User is trying to add recipe!");
    }
}
